module Paths_llvm_tutorial (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch


version :: Version
version = Version {versionBranch = [0,0], versionTags = []}
bindir, libdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/hal9/.cabal/bin"
libdir     = "/home/hal9/.cabal/lib/x86_64-linux-ghc-7.8.2/llvm-tutorial-0.0"
datadir    = "/home/hal9/.cabal/share/x86_64-linux-ghc-7.8.2/llvm-tutorial-0.0"
libexecdir = "/home/hal9/.cabal/libexec"
sysconfdir = "/home/hal9/.cabal/etc"

getBinDir, getLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "llvm_tutorial_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "llvm_tutorial_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "llvm_tutorial_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "llvm_tutorial_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "llvm_tutorial_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
